Summary: A chat client
Name:    kdenetwork-kopete-freeworld
Epoch:   7
Version: 4.7.0
Release: 4%{?dist}

License: GPLv2
Group: Applications/Internet
URL: http://www.kde.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdenetwork-%{version}.tar.bz2

Patch1: kdenetwork-4.7.0-kopete-only.patch
Patch2: kdenetwork-4.7.0-kopete-openssl-version.patch

## upstream patches
# https://bugzilla.redhat.com/show_bug.cgi?id=724846
# http://bugs.kde.org/show_bug.cgi?id=274827
Patch100: kdenetwork-4.7.0-kopete-moc-fail.patch

## security patches

%if 0%{?fedora}
BuildRequires: avahi-compat-libdns_sd-devel
BuildRequires: libgadu-devel >= 1.8.0
BuildRequires: openslp-devel
BuildRequires: libotr-devel
%endif
BuildRequires: boost-devel
BuildRequires: alsa-lib-devel
BuildRequires: expat-devel
BuildRequires: giflib-devel
BuildRequires: glib2-devel
BuildRequires: gmp-devel
BuildRequires: gpgme-devel
BuildRequires: jasper-devel
# libkonq
BuildRequires: kdebase-devel >= %{version}
BuildRequires: kdebase-workspace-devel >= %{version}
BuildRequires: kdepimlibs-devel >= %{version}
BuildRequires: libidn-devel
BuildRequires: libjpeg-devel
BuildRequires: libmsn-devel >= 4.1
BuildRequires: nxcl-devel
BuildRequires: libvncserver-devel
BuildRequires: libv4l-devel
BuildRequires: libxslt-devel
BuildRequires: mediastreamer-devel >= 2.3.0
BuildRequires: meanwhile-devel
BuildRequires: openldap-devel
BuildRequires: ortp-devel
BuildRequires: pcre-devel
BuildRequires: qca2-devel
BuildRequires: qimageblitz-devel
BuildRequires: soprano-devel 
BuildRequires: speex-devel
BuildRequires: sqlite-devel

#-----------------------------------------------------------------------------
#-- The following OPTIONAL packages could NOT be located on your system.
#-- Consider installing them to enable more features from this software.
#-----------------------------------------------------------------------------
#   * XMMS  <http://www.xmms.org>
#     X MultiMedia System development libraries
#     Used by the Kopete nowlistening plugin to support the XMMS player.
#   * mediastreamer (2.3.0 or higher)  <http://www.linphone.org/index.php/eng/code_review/mediastreamer2>
#     A streaming engine specialized for voice/video telephony applications
#     Required to enable voice clips support in WLM plugin and needed to build Google Talk libjingle audio call support in Kopete.
#   * msiLBC  <http://mirror.lihnidos.org/GNU/savannah/linphone/plugins/sources>
#     iLBC is low bitrate audio codec - plugin for mediastreamer
#     Needed to build Google Talk libjingle voice call support with iLBC codec

Requires: %{name}-kopete-libs%{?_isa} = %{epoch}:%{version}-%{release}
# jabber
Requires: qca-ossl%{?_isa}
Requires: mozilla-filesystem
Requires: mediastreamer%{?_isa}

Provides: kopete%{?_isa}

Conflicts: kdenetwork-kopete%{?_isa}

%description
%{summary}.


%package libs
Summary: Runtime libraries for %{name}
Requires: kdenetwork-common = %{epoch}:%{version}-%{release}
Requires: %{name} = %{epoch}:%{version}-%{release}
Conflicts: kdenetwork-kopete-libs%{?_isa}
%description libs
%{summary}.

%package devel
Summary: Development files for Kopete
Requires: %{name}-libs%{?_isa} = %{epoch}:%{version}-%{release}
Requires: kdelibs4-devel
Conflicts: kdenetwork-kopete-devel%{?_isa}
%description devel
%{summary}.


%prep
%setup -q -n kdenetwork-%{version}%{?alphatag}
%patch1 -p1 -b .kopete-only
%patch2 -p1 -b .kopete-openssl-version
%patch100 -p1 -b .kopete-moc-fail


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
  -DWITH_JINGLE=TRUE \
  -DMOZPLUGIN_INSTALL_DIR=%{_libdir}/mozilla/plugins \
  ..
popd

make -C %{_target_platform}/doc
make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang kopete --with-kde --without-mo

%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/kopete.desktop


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
fi

%files -f kopete.lang
%{_kde4_bindir}/kopete
%{_kde4_bindir}/googletalk-call
%{_kde4_bindir}/winpopup*
%{_kde4_appsdir}/kopete*
%{_kde4_appsdir}/kconf_update/kopete*
%{_libdir}/mozilla/plugins/skypebuttons.so
%{_kde4_configdir}/kopeterc
%{_datadir}/dbus-1/interfaces/org.kde.Kopete.xml
%{_datadir}/dbus-1/interfaces/org.kde.kopete.*.xml
%{_kde4_datadir}/applications/kde4/kopete.desktop
%{_kde4_datadir}/config.kcfg/kopete*
%{_kde4_datadir}/sounds/Kopete_*
%{_kde4_datadir}/sounds/KDE-Im-Phone-Ring.wav
%{_kde4_datadir}/kde4/services/aim.protocol
%{_kde4_datadir}/kde4/services/callto.protocol
%{_kde4_datadir}/kde4/services/chatwindow.desktop
%{_kde4_datadir}/kde4/services/emailwindow.desktop
%{_kde4_datadir}/kde4/services/kopete_*.desktop
%{_kde4_datadir}/kde4/services/kconfiguredialog/
%{_kde4_datadir}/kde4/services/skype.protocol
%{_kde4_datadir}/kde4/services/tel.protocol
%{_kde4_datadir}/kde4/services/xmpp.protocol
%{_kde4_datadir}/kde4/servicetypes/kopete*.desktop
%{_kde4_iconsdir}/hicolor/*/apps/kopete*.*
%{_kde4_iconsdir}/oxygen/*/actions/*
%{_kde4_iconsdir}/oxygen/*/status/object-locked*.*
%{_kde4_libdir}/kde4/kopete_*.so
%{_kde4_libdir}/kde4/kcm_kopete_*.so
%{_kde4_libdir}/libqgroupwise.so
%{_kde4_bindir}/kopete_latexconvert.sh
%{_kde4_libdir}/kde4/libchattexteditpart.so
%{_kde4_datadir}/config.kcfg/historyconfig.kcfg
%{_kde4_datadir}/config.kcfg/latexconfig.kcfg
%{_kde4_datadir}/config.kcfg/nowlisteningconfig.kcfg
%{_kde4_datadir}/config.kcfg/translatorconfig.kcfg
%{_kde4_datadir}/config.kcfg/urlpicpreview.kcfg
%{_kde4_datadir}/config.kcfg/webpresenceconfig.kcfg

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%{_kde4_libdir}/libkopete*.so.*
%{_kde4_libdir}/libkyahoo.so*
%{_kde4_libdir}/liboscar.so*

%files devel
%{_kde4_includedir}/kopete/
%{_kde4_libdir}/libkopete*.so


%changelog
* Thu Aug 11 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.7.0-4
- -krfb-libs: Requires: -krfb (not main pkg)
